Bug 117696 - Video in ODP files does not show on the other screen
Summary: Video in ODP files does not show on the other screen
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Multimonitor
  Show dependency treegraph
 
Reported: 2018-05-18 16:49 UTC by yoan
Modified: 2018-08-26 05:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
gdbtrace.log file generated when viewing a slide embedding a video (only happens on a specific ODP document) (47.13 KB, text/x-log)
2018-05-18 16:50 UTC, yoan
Details
[SCREENSHOT1] Juxtaposed screens: editing, audience and speaker. (1.90 MB, image/png)
2018-08-21 22:40 UTC, yoan
Details
[ODP 1] The ODP file generated by Libreoffice 6.0.3.2 used for the SCREENSHOT 1 (16.84 KB, application/vnd.oasis.opendocument.presentation)
2018-08-21 22:42 UTC, yoan
Details
[SCREENSHOT2] Juxtaposed screens: audience & speaker with 6.2.0.0.alpha0 (618.12 KB, image/png)
2018-08-25 16:31 UTC, yoan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description yoan 2018-05-18 16:49:21 UTC
Description:
I already posted an issue regarding some bugs when handling videos within ODP documents in version 4.1 on Ubuntu 14.04. https://bugs.documentfoundation.org/show_bug.cgi?id=116345 
After upgrading to version 6.0.3.2 (Ubuntu 18.04), not only this bug persists but it looks like we had some regressions making video integration fully unusable for real case uses.


Steps to Reproduce:
1. Open a new Impress document
2. Drag-and-drop a video file
3. Resize the video. Bug A: the screen flickers between the normal document and a full screen screenshot of the window
4. Resize it so that the video is only a part of the slide
5. Start presentation (F5). Bug B: video is made full screen, which is already abnormal, but also deforms the image if video hasn't the same ratio as original image
6. Connect an external monitor and start presenting (F5). Bug C: 25% of the video of the audience's screen is hidden by a white area
+. In a specific ODP of mine (~225MB in size), some video causes more important bugs:
* Scrolling over the list of slides crashes Impress (gdbtrace.log enclosed)
* In presentation mode, reaching this slides causes a black screen and Impress hanging.
I can provide this ODP in private.

Actual Results:  
Full screen video, flickering, ganging or full crash depending the case

Expected Results:
Keep the video file in the format chosen within the editor, and no crash


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 yoan 2018-05-18 16:50:51 UTC
Created attachment 142192 [details]
gdbtrace.log file generated when viewing a slide embedding a video (only happens on a specific ODP document)
Comment 2 Buovjaga 2018-06-15 17:56:20 UTC
Tried with the Big Buck Bunny mp4 from bug 116345. No problems for me. The only thing I did not test was the external monitor.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 0d2c5e0838906101e1fdea93b4a0c422690e331c
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 15th 2018

Same with gtk3 backend.
Comment 3 Xisco Faulí 2018-07-18 15:00:36 UTC
Thank you for reporting the bug. To be certain the reported issue is not
related to corruption in the user profile, could you please reset your
Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and
re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the issue is still present
Comment 4 yoan 2018-08-21 22:40:03 UTC
Created attachment 144357 [details]
[SCREENSHOT1] Juxtaposed screens: editing, audience and speaker.
Comment 5 yoan 2018-08-21 22:42:35 UTC
Created attachment 144358 [details]
[ODP 1] The ODP file generated by Libreoffice 6.0.3.2 used for the SCREENSHOT 1
Comment 6 yoan 2018-08-21 22:54:43 UTC
@Xisco Faulí I've done all tests in safe mode or normal mode, there's no change, so I'm switching back to UNCONFIRMED.
I've just tried to reproduced the bugs. Behavior differs according to the video file I'm using:

CASE 1. BY CREATING A NEW IMPRESS FILE: a single slide embedding a video squeezed to a small size and some text. Result in presentation mode : The video on the audience's screen is full-screened, the video on the speaker's screen does not appear, while it looked good on the editing view. See enclosed files: SCREENSHOT 1 and ODP 1.

CASE 2. BY OPENING MY OLD ODP PRESENTATION (The same initial file for which I created this ticket): That's a full crash. Additionally to the enclosed gdbtrace.log I am adding the terminal output:

`````````
~$ libreoffice 

(soffice:3146): GLib-GObject-WARNING **: 00:01:14.677: ../../../../gobject/gsignal.c:3492: signal name 'selection_changed' is invalid for instance '0x55d8eec6b6d0' of type 'OOoAtkObjCompTxt'


Fatal exception: Signal 11
Stack:
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x13568)[0x7f5a5f365568]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3c316)[0x7f5a5f38e316]
/lib/x86_64-linux-gnu/libc.so.6(+0x3ef20)[0x7f5a5ef9ff20]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_slice_alloc+0x334)[0x7f5a5cfd47c4]
/usr/lib/x86_64-linux-gnu/libgstreamer-1.0.so.0(gst_buffer_new+0xb)[0x7f5a11a50bfb]
/usr/lib/x86_64-linux-gnu/libgstreamer-1.0.so.0(gst_buffer_copy_region+0x34)[0x7f5a11a53ad4]
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstmatroska.so(+0x126a1)[0x7f59f9a3e6a1]
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstmatroska.so(+0x1a0f1)[0x7f59f9a460f1]
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstmatroska.so(+0x1f002)[0x7f59f9a4b002]
/usr/lib/x86_64-linux-gnu/libgstreamer-1.0.so.0(+0xaaf79)[0x7f5a11abef79]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x747d0)[0x7f5a5cfdf7d0]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x73e05)[0x7f5a5cfdee05]
/lib/x86_64-linux-gnu/libpthread.so.0(+0x76db)[0x7f5a5cb4f6db]
/lib/x86_64-linux-gnu/libc.so.6(clone+0x3f)[0x7f5a5f08288f]
`````````
Comment 7 Bernard Decock 2018-08-25 12:37:41 UTC
I'm having the same problem in Linux Mint 19.1 (derived from Ubuntu 18.04).
LO 6.0.3.2

Rescaling the frame where the video is embedded in results in flickering of the screen (switches for an instance to full-screen). 

In presentation-mode the full screen is being used. Even worse, when presenting with a beamer, a full-screen is used and at the same time it is displayed full screen on the computer-screen. In this way the notes, the preview and the buttons on the computer-screen can no longer be used. The presentation hangs most of the time.

I reverted to the classical work around by using a reference-url to the local video, embedded in an image, such that vlc gets opened on top the presentation when clicking on the image.
Comment 8 Buovjaga 2018-08-25 13:11:02 UTC
Bernard, yoan: to check that this is not an Ubuntu-specific problem, you could try with an appimage of 6.1 or 6.2: https://libreoffice.soluzioniopen.com/

Setting to NEW for now anyway.
Comment 9 Bernard Decock 2018-08-25 15:13:26 UTC
Tested with 6.2.0.0alphao+ in LinuxMint 19.1. Seems ok, although I haven't tested the case with an external screen. Now the video starts playing in the allocated fragment.

It looks that more people have this issue : https://ask.libreoffice.org/en/question/157815/impress-6-in-ubuntu-1804-video-playback-only-as-full-screen/

Anyhow, I will avoid the embedding of videos and use the interaction "open document" in stead, as then vlc opens and I can stop or go back some frames. I need to stop the video sometimes in order to show the audience a detail which is often overlooked. 

It is funny that when one embeds a video, that then some control-buttons are available during the editing-modus (you almost don't need them while editing), where as in the presentation-modus you can't control the video at all.
Comment 10 Buovjaga 2018-08-25 16:14:37 UTC
Hmm, then the problem should be reported to Ubuntu https://bugs.launchpad.net/ubuntu/+source/libreoffice
Comment 11 yoan 2018-08-25 16:31:24 UTC
Created attachment 144436 [details]
[SCREENSHOT2] Juxtaposed screens: audience & speaker with 6.2.0.0.alpha0

Video of the speaker's screen is still moved from its original place during presentation.
Comment 12 yoan 2018-08-25 16:40:57 UTC
My own tests with LibreOfficeDev-6.2.0.0.alpha0_2018-08-23-x86_64.AppImage and my guilty files:

* Bug of the video being forced fullscreen: FIXED
* Bug of the video getting deformed: FIXED
* Bug of the video disappearing on the speaker's screen: NOT FIXED, see (1)
* Bug of the full crash: NOT FIXED, see (2)

The remaining 3 bugs with 6.2.0.0alpha0:

(1). Video on speaker's screen is present, but location has moved, see SCREENSHOT2 (video position of the audience's screen is correct)

(2). Still receiving SIGSEGV while playing my original file, I've proceeded with crashreport uploading:
http://crashreport.libreoffice.org/stats/crash_details/8ca93848-d229-4ba5-95a6-174581c2c7b2
http://crashreport.libreoffice.org/stats/crash_details/fef992c6-84a6-49ee-a5fc-9256baa85df9

(3). Endless zoom when bottom of the video is below the page is still happening. But there's a dedicated report for this: https://bugs.documentfoundation.org/show_bug.cgi?id=116345
Comment 13 Bernard Decock 2018-08-25 17:07:49 UTC
Tested on Linux Mint 19.1

LO : Version: 6.2.0.0.alpha0+
Build ID: 58f2e4690b57f0fa7a95be3a023d54d8967f5529
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-08-23_23:45:59

1. Resizing video works ok (no more flickering to full screen)

2. Video is shown on the laptop-screen in the right frame (so not full-screen), but NOT on the presentation-screen (a dark frame is shown, sometimes a white one). However if one steps back to the previous slide and then return to the slide of interest, the video is shown well. One can repeat this sequence, by closing LO and starting the presentation all over again.
Comment 14 Buovjaga 2018-08-25 18:18:00 UTC
Yoan: please create a new report for the crash (one issue per report).

Setting back to NEW, even though Yoan says "speaker's screen" and Bernard says "presentation screen".
Comment 15 Buovjaga 2018-08-26 05:38:14 UTC
As both of you are probably running X window sessions, it would be interesting, if you tried with a Wayland session. Who knows, maybe the problem does not appear under Wayland?